Longest common subsequence | Leetcode #1143

preview_player
Показать описание
This video shows how to solve the longest common subsequence problem efficiently. This is a famous question of dynamic programming which is frequently asked in programming interviews. I have explained each step in detail with proper reasoning. This question has also come in day 26 of april coding challenge 2020 on leetcode. If you find any difficulty or have any query then do COMMENT below. PLEASE help our channel by SUBSCRIBING and LIKE our video if you found it helpful...CYA :)

Рекомендации по теме
Комментарии
Автор

I had no knowledge of Algo and DS 2 months ago, its within these two months I have learnt all algo and ds related stuff. But this wouldn't have happened without you Algo Buddy. I am very lucky to find a great teacher like you early in my learning journey. THANKS ALGO BUDDY

mayankchauhan
Автор

After watching about 8 to 10 videos on youtube, this is the only video which I could vouch to have the exact explanation on why this algo actually works.
Edited: Just make sure that you watch this video atleast 2 times to grasp all the subtle info present inside different layers here.

mrinalraj
Автор

I went through Leetcode official solution which was awesome but didn't explain exactly how the dynamic programming algo works, then watched couple of YT videos. They also missed the reasoning behind it. This is the only video that goes to explain that! Superb.

kapstech
Автор

Solving such problems needs the knack of cracking the sub-problems . Thanks for this gem ! Appreciated !

sooryanathit
Автор

man you deserve more subscriber than erichito.I mean he is good in programming himself but not not good at teaching.But you are just brilliant teaching.

souvikpaul
Автор

I was trying to figure out a homework for hours. I watched this video and finished it in less than 3 minutes lol. You deserve a like, really appreciate it.

ericktapia
Автор

Your videos are too good . Thank you so much for keeping it clear to the point and stepwise- recursion, memoization, tabulation. I finally decided to watch your playlist than any other youtube dp playlist :)

abhipsamohapatra
Автор

finally Some good content on the YouTube, cheers @TECH DOSE

MohdAslam-yzkw
Автор

I bow down towards you explanation, I really loved it!!!!

maniyadav
Автор

Thank you very much sir for such intuitive explanation, best video i have come across over youtube

VS-cyoy
Автор

Awesome explanation... your videos are of immense help to lot of coders like us. Please Keep doing this awesome work.

sunilpandith
Автор

Thanks sir.your all content are really great. Only because of u i am able to learn ds algo efficiently. Now i am not afraid of programming .keep it up🙏🙏🙏🙏🙏

ashvinimeshram
Автор

Rather than moving along the table to extract subsequence "ADH" can we instead keep appending the characters in string as and when common match is found between both the strings. I mean to say in below condition of code:-
if (X[i - 1] == Y[j - 1])
L[i][j] = L[i - 1][j - 1] + 1;

for example we can add it in a set and sort it while printing. Please correct me if am wrong here.

pallavijorapur
Автор

couldn't have gotten a better expalination than this thanks.

bumblebee
Автор

bhagya dharti ke hamare jo tumhare pagg padhare.thnx bhai .great content

jayantakumarroy
Автор

Thanks men your explanations are very good.

eskamocha
Автор

I find this tutorial very helpful, thank you for awesome explanation.

sumandas
Автор

Hi Thanks for the crisp explanation. Thanks much. I just have a query. Instead of traversing diagonally to get the string in a reverse fashion, i found it easier to traverse backwards in the last row and record the column where the value shifts/ alter. As always your videos always are a learning experience.

smrutiprakashmohanty
Автор

Such great explanation!....You explain everything with amazing clearity!

codingid
Автор

appreciate your work. i like the way you form the longest common subsequence string

rishabhkumar